# $Revision: 1.18 $, $Date: 2002/02/25 10:35:40 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	QL
Summary:	XML-QL perl module
Summary(pl):	Modu perla XML-QL
Name:		perl-XML-QL
Version:	0.07
Release:	6
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML-QL - An XML query language.

%description -l pl
XML-QL - jzyk zapyta XML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/XML/QL.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-QL.spec,v $
Revision 1.18  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.15  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:38:42  depesz
adapterized

Revision 1.13  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:18:40  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:41:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:55:02  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:45  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:37:05  pius
- updated to 0.07

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:50  pius
- initial release
